# Para cambiar las variables categóricas
# Leer la matriz con las columnas de datos numéricos
# Volmer a leer la matriz con las variables categóricas
# y cambiarlas a vector.
# La matriz de datos final es la unión de las matrices
# numéricas junto con la matriz de vectores que representan
# a las variables categóricas
#
# 30.01.2022
# Fraga

import numpy as np
from sklearn.preprocessing import OneHotEncoder

A1 = np.genfromtxt( "a.csv", delimiter=',', usecols=(0,1,2,3) )
print( A1.shape ) 
print( A1 ) 

A2 = np.genfromtxt( "a.csv", dtype=str, delimiter=',', usecols=(4) )
A2 = A2.reshape( (-1,1) )
print( A2.shape ) 
print( A2 )

convierte = OneHotEncoder( )
convierte.fit( A2 )
B2 = convierte.transform( A2 ).toarray( )

print( B2.shape ) 
print( B2 ) 

Datos = np.concatenate( (A1, B2), axis=1 )

print( Datos.shape )
print( Datos )
