import numpy as np
from sklearn.impute import SimpleImputer

A = np.array( [ [ 1.0, 2.0, 3.0 ],
      [ np.nan, 2.0, 1.0 ],
      [ 1.0, 2.0, np.nan ] ] )

print( A.shape )
print( A )

imputer = SimpleImputer( strategy='mean')
# strategy = "median"
# strategy = "most_frequent"
# strategy = "constant"

imputer.fit( A )
Ap = imputer.transform( A )

print( Ap.shape )
print( Ap )

