import numpy as np
from sklearn.preprocessing import MinMaxScaler
from sklearn.preprocessing import StandardScaler
from sklearn.preprocessing import Normalizer

A = np.genfromtxt( "a.csv", delimiter=',' )

print( A.shape )
print( A )

# Normalizar a un valor mínimo y máximo

normaliza = MinMaxScaler( (-1,1) )
normaliza.fit( A )
B = normaliza.transform( A )

print( B.shape )
print( B )

# Normalizar a media cero y desviación estándar 1

norma = StandardScaler(  )
norma.fit( A )
C = norma.transform( A )

print( C.shape )
print( C )

medias = np.mean( C, axis=0 )
print( medias )

var = np.var( C, axis=0 )
print( var )

# Normalizamos a uno los vectores columna
norma2 = Normalizer(  )
norma2.fit( A )
D = norma2.transform( A )

print( D.shape )
print( D )

